<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
			    $('#contentTable thead tr th input.i-checks').on('ifChecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定 
			    	  $('#contentTable tbody tr td input.i-checks').iCheck('check');
			    	});
			    $('#contentTable thead tr th input.i-checks').on('ifUnchecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定 
			    	  $('#contentTable tbody tr td input.i-checks').iCheck('uncheck');
			    	});
		});

		function getSelectedItem(){
			var size = $("#contentTable tbody tr td input.i-checks:checked").size();
			  if(size == 0 ){
					top.layer.alert('请至少选择一条数据!', {icon: 0, title:'警告'});
					return "-1";
				  }
			/*  if(size > 1 ){
					top.layer.alert('只能选择一条数据!', {icon: 0, title:'警告'});
					return "-1";
				  }*/
            var arr=new Array();
            $("#contentTable tbody tr td input.i-checks:checkbox:checked").each(function () {
                var id =  $(this).attr("id");
                var label = $(this).parent().parent().parent().find(".codelabel").html();
                var label1 = $(this).parent().parent().parent().find(".codelabel1").html();
                var label2 = $(this).parent().parent().parent().find(".codelabel2").html();
                var label3 = $(this).parent().parent().parent().find(".codelabel3").html();
                var label4 = $(this).parent().parent().parent().find(".codelabel4").html();
                var data=  {'clientId':{'id':label,'name':label4},'id':id,'name':label1,'linkPhone':label2,'linkMobile':label3};
                arr.push(data);
			})
            return arr;

}
		function page(n,s){
			if(n) $("#pageNo").val(n);
			if(s) $("#pageSize").val(s);
			$("#searchForm").attr("action","${url}");
			$("#searchForm").submit();
	    	return false;
	    }
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
	<div class="layui-row">
		<div class="full-width fl">
			<div class="layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="obj" action="${url}" method="post" class="form-inline">
					<input type="hidden" name="url" value="${url}"/>
					<input type="hidden" name="fieldLabels" value="${fieldLabels}"/>
					<input type="hidden" name="fieldKeys" value="${fieldKeys}"/>
					<input type="hidden" name="searchLabel" value="${searchLabel}"/>
					<input type="hidden" name="searchKey" value="${searchKey}"/>
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->

					<div class="commonQuery">
						<div class="layui-item query athird lw9">
							<span class="layui-form-label">${searchLabel}：</span>
							<div class="layui-input-block">
								<form:input path="${searchKey}" htmlEscape="false" maxlength="50" class=" form-control layui-input"/>
							</div>
						</div>
						<div class="layui-item athird fr">
							<div class="input-group">
								<button id="searchReset" class="fixed-btn searchReset fr" style="margin-right: 0px;" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
				</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="layui-item layui-col-xs12 form-table-container">
				<table id="contentTable" class="table details table-bordered table-condensed">
					<thead>
					<tr>
						<th width="50"><input type="checkbox" class="i-checks"></th>
						<th style="display:none">施工方编号</th>
						<th>施工方名称</th>
						<th width="25%">联系人</th>
						<th width="25%">联系电话</th>
						<th width="25%">手机号</th>
					</tr>
				</thead>
				<tbody>
				<c:choose>
				<c:when test="${not empty page.list}">
				<c:forEach items="${page.list}" var="obj">
					<c:forEach items="${obj.workClientLinkmanList}" var="linkman">
						<tr>
							<td> <input type="checkbox" id="${fns:getValue(linkman, 'id')}" class="i-checks"></td>
							<td title="${fns:getValue(obj, 'id')}" class="codelabel" style="display:none">${fns:getValue(obj, 'id')}</td>
								<td title="${fns:getValue(obj, 'name')}" class="codelabel4">${fns:getValue(obj, 'name')}</td>
								<td title="${fns:getValue(linkman, 'name')}" class="codelabel1">${fns:getValue(linkman, 'name')}</td>
								<td class="codelabel2">${fns:getValue(linkman, 'linkPhone')}</td>
								<td class="codelabel3">${fns:getValue(linkman, 'linkMobile')}</td>

						</tr>
					</c:forEach>
				</c:forEach>
				</c:when>
					<c:otherwise>
						<tr>
							<td colspan="15" align="center">
								暂无数据
							</td>
						</tr>
					</c:otherwise>
				</c:choose>

				</tbody>
			</table>
			<table:page page="${page}"></table:page>
		</div>
	</div>
	<div class="form-group layui-row page-end"></div>
	</div>
</div>
</body>
</html>